AdjustmentEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.awt.event
Class AdjustmentEvent

    java.lang.Object
      java.util.EventObject
          java.awt.AWTEvent
              java.awt.event.AdjustmentEvent

All Implemented Interfaces:
  Serializable

    public class AdjustmentEvent

extends AWTEvent

The adjustment event emitted by Adjustable objects.

Since:
  1.1
Version:
  1.25 01/23/03
Author:
  Amy Fowler
See Also:
  `Adjustable`, `AdjustmentListener`, Serialized Form

Field Summary
`static int` | `ADJUSTMENT_FIRST` Marks the first integer id for the range of adjustment event ids.
`static int` | `ADJUSTMENT_LAST` Marks the last integer id for the range of adjustment event ids.
`static int` | `ADJUSTMENT_VALUE_CHANGED` The adjustment value changed event.
`static int` | `BLOCK_DECREMENT` The block decrement adjustment type.
`static int` | `BLOCK_INCREMENT` The block increment adjustment type.
`static int` | `TRACK` The absolute tracking adjustment type.
`static int` | `UNIT_DECREMENT` The unit decrement adjustment type.
`static int` | `UNIT_INCREMENT` The unit increment adjustment type.

Fields inherited from class java.awt.AWTEvent
`ACTION_EVENT_MASK, ADJUSTMENT_EVENT_MASK, COMPONENT_EVENT_MASK, CONTAINER_EVENT_MASK, FOCUS_EVENT_MASK, INPUT_METHOD_EVENT_MASK, INVOCATION_EVENT_MASK, ITEM_EVENT_MASK, KEY_EVENT_MASK, MOUSE_EVENT_MASK, MOUSE_MOTION_EVENT_MASK, MOUSE_WHEEL_EVENT_MASK, PAINT_EVENT_MASK, RESERVED_ID_MAX, TEXT_EVENT_MASK, WINDOW_EVENT_MASK, WINDOW_FOCUS_EVENT_MASK`

Constructor Summary
`AdjustmentEvent(Adjustable source, int id, int type, int value)` Constructs an `AdjustmentEvent` object with the specified `Adjustable` source, event type, adjustment type, and value.

Method Summary
`Adjustable` | `getAdjustable()` Returns the `Adjustable` object where this event originated.
`int` | `getAdjustmentType()` Returns the type of adjustment which caused the value changed event.
`int` | `getValue()` Returns the current value in the adjustment event.
`String` | `paramString()` Returns a string representing the state of this `Event`.

Methods inherited from class java.awt.AWTEvent
`getID, toString`

Methods inherited from class java.util.EventObject
`getSource`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ADJUSTMENT_FIRST

    public static final int ADJUSTMENT_FIRST

  Marks the first integer id for the range of adjustment event ids.

  See Also:
    Constant Field Values

### ADJUSTMENT_LAST

    public static final int ADJUSTMENT_LAST

  Marks the last integer id for the range of adjustment event ids.

  See Also:
    Constant Field Values

### ADJUSTMENT_VALUE_CHANGED

    public static final int ADJUSTMENT_VALUE_CHANGED

  The adjustment value changed event.

  See Also:
    Constant Field Values

### UNIT_INCREMENT

    public static final int UNIT_INCREMENT

  The unit increment adjustment type.

  See Also:
    Constant Field Values

### UNIT_DECREMENT

    public static final int UNIT_DECREMENT

  The unit decrement adjustment type.

  See Also:
    Constant Field Values

### BLOCK_DECREMENT

    public static final int BLOCK_DECREMENT

  The block decrement adjustment type.

  See Also:
    Constant Field Values

### BLOCK_INCREMENT

    public static final int BLOCK_INCREMENT

  The block increment adjustment type.

  See Also:
    Constant Field Values

### TRACK

    public static final int TRACK

  The absolute tracking adjustment type.

  See Also:
    Constant Field Values

Constructor Detail

### AdjustmentEvent

    public AdjustmentEvent(Adjustable source,
                           int id,
                           int type,
                           int value)

  Constructs an `AdjustmentEvent` object with the specified `Adjustable` source, event type, adjustment type, and value.

  Note that passing in an invalid `id` results in unspecified behavior.

  Parameters:
    `source` - the `Adjustable` object where the event originated
    `id` - the event type
    `type` - the adjustment type
    `value` - the current value of the adjustment

Method Detail

### getAdjustable

    public Adjustable getAdjustable()

  Returns the `Adjustable` object where this event originated.

  Returns:
    the `Adjustable` object where this event originated

### getValue

    public int getValue()

  Returns the current value in the adjustment event.

  Returns:
    the current value in the adjustment event

### getAdjustmentType

    public int getAdjustmentType()

  Returns the type of adjustment which caused the value changed event. It will have one of the following values:
  - `UNIT_INCREMENT`
  - `UNIT_DECREMENT`
  - `BLOCK_INCREMENT`
  - `BLOCK_DECREMENT`
  - `TRACK`

  Returns:
    one of the adjustment values listed above

### paramString

    public String paramString()

  Description copied from class: `AWTEvent`
  Returns a string representing the state of this `Event`. This method is intended to be used only for debugging purposes, and the content and format of the returned string may vary between implementations. The returned string may be empty but may not be `null`.

  Overrides:
    `paramString` in class `AWTEvent`
  Returns:
    a string representation of this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD